package com.fs.qw.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class AddContactDTO {
    //关联设备id
    private String deviceId;
    //联系人id
    private Long userId;
    //微信内部参数
    private String openId;
    //招呼语
    private String hello;

    public Map<String,Object> toMap(){
        Map<String,Object> map = new HashMap<>();
        map.put("userId",userId);
        map.put("openId",openId);
        map.put("hello",hello);
        return map;
    }
}
